summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Marlowe <mattm@gentoo.org>2013-05-06 22:27:12 +0000
committerMatthew Marlowe <mattm@gentoo.org>2013-05-06 22:27:12 +0000
commita28e708344529b44aaf7a5ff16592986696b6853 (patch)
tree6f702462151a707a9b21b2798efe1f0fbeb1e92e /net-analyzer/zabbix/files/2.0
parentPer QA Bug #445944, remove zabbix 1.8.x ebuilds from tree. (diff)
downloadgentoo-2-a28e708344529b44aaf7a5ff16592986696b6853.tar.gz
gentoo-2-a28e708344529b44aaf7a5ff16592986696b6853.tar.bz2
gentoo-2-a28e708344529b44aaf7a5ff16592986696b6853.zip
Fix for bug #460562
(Portage version: 2.1.11.62/cvs/Linux x86_64, signed Manifest commit with key 786037A7)
Diffstat (limited to 'net-analyzer/zabbix/files/2.0')
-rw-r--r--net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy28
1 files changed, 28 insertions, 0 deletions
diff --git a/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy b/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy
new file mode 100644
index 000000000000..bc6cad1e417e
--- /dev/null
+++ b/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy,v 1.1 2013/05/06 22:27:12 mattm Exp $
+
+pid_file="/var/run/zabbix/zabbix_proxy.pid"
+
+depend() {
+ need net
+ provide zabbix-proxy
+}
+
+start_pre() {
+ checkpath -d -m 0775 -o zabbix:zabbix /var/run/zabbix
+}
+
+start() {
+ ebegin "Starting Zabbix agent"
+ start-stop-daemon --start --pidfile ${pid_file} \
+ --user zabbix --group zabbix --exec /usr/sbin/zabbix_proxy -- -c /etc/zabbix/zabbix_proxy.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix agent"
+ start-stop-daemon --stop --pidfile ${pid_file}
+ eend $?
+}